﻿.navbar {
    min-height: 5rem;
}

.navbar-brand .navbar-item img {
    max-height: 3rem;
    margin-top: 6px;
}

html.has-navbar-fixed-top,
body.has-navbar-fixed-top {
    padding-top: 5rem;
}

.content h1 {
    font-size: 2.75em;
}

.content h2 {
    font-size: 2em;
}

.container.is-fullwidth {
    max-width: none;
    width: 100%;
}

.section {
    padding-top: 1rem;
    padding-bottom: 1rem;
}

.section.is-medium {
    padding-top: 3rem;
    padding-bottom: 3rem;
}

.section.is-large {
    padding-top: 6rem;
    padding-bottom: 6rem;
}

.section.dense {
    padding-bottom: 0;
}

.content p:last-child,
.content h1:last-child,
.button:last-child {
    margin-bottom: 0;
}

a.button {
    text-decoration: none;
}

.g-recaptcha {
    margin-bottom: 0.5em;
}

.weborder {
    display: flex;
    flex-direction: column;
    align-items: center;
    max-width: 500px;
    margin: 0 auto;
}

.weborder-card {
    width: 100%;
    padding: 32px;
    border-radius: 4px;
    border: 1px solid #e49739;
    background-color: #363f50;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.25);
}

.weborder .field {
    width: 100%;
}

.weborder-phone-input {
    width: 100%;
    font-size: 1.5rem;
    padding: calc(0.5em - 1px) 1em;
}

.weborder-button {
    background-image: url(/img/swish.png);
    background-size: 80px;
    background-repeat: no-repeat;
    background-position: right 10px top 50%;
    width: 100%;
    padding-right: 110px;
    margin-bottom: 1em;
}

.weborder-card p.weborder-tagline {
    text-align: center;
    font-size: 0.85rem;
    color: #aaa;
    margin-top: 0.5rem;
    margin-bottom: 0;
}

.weborder-card .weborder-error {
    margin-top: 1em;
}

.weborder-link,
.weborder-error {
    width: 100%;
}

@media all and (max-width: 768px) {
    .weborder-phone-input {
        font-size: 1rem;
    }

    .button.weborder-button {
        font-size: 1rem;
        padding-right: 90px;
        background-size: 60px;
    }

    .weborder-card {
        padding: 20px;
    }
}

@media all and (max-width: 768px) {
    .columns-mobile-reverse {
        display: flex;
        flex-direction: column-reverse;
    }
}

.main-menu a {
    text-decoration: none;
}

.footer .navbar-start {
    flex-direction: column;
}


.footer .navbar-item.is-active {
    font-style: italic;
}

.hero.is-light {
    background-color: #e5e5e5;
}

    .hero.is-light a.is-link,
    .hero.is-dark a.is-link {
        text-decoration: underline !important;
    }

.hero.is-dark .label {
    color: #f5f5f5;
}

.field.no-margin {
    margin: 0;
}

.parsley-errors-list.filled {
    display: inline-block;
    padding: 5px 20px;
    margin: 5px 0 10px 0;
    background-color: #d13b3b;
    color: #fff;
    border-radius: 5px;
    border: 1px solid #b83333;
}

.parsley-errors-list li {
    display: inline;
}

.company__environment-image {
    margin-bottom: 15px;
}

/* COMPANY INFO */
.company-info {
    display: flex;
    margin-bottom: 25px;
}

.company-info__address {
    padding-left: 20px;
    min-width: 0;
}

    .company-info__address p {
        margin-bottom: 0.25em;
    }

.company-info__logo {
    flex-grow: 0;
    flex-shrink: 0;
    flex-basis: 90px;
}

.company-info__address__website {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}


/* COMPANY OFFER CARD */
.company-offer-card {
    display: flex;
    flex-direction: column;
    background-color: #f5f6f1;
    padding: 15px;
    margin-bottom: 15px;
    border-radius: 3px;
}

.company-offer-card__details {
    display: flex;
}

.company-offer-card__details__description {
    overflow-wrap: anywhere;
    padding-left: 15px;
}

    .company-offer-card__details__description h4 {
        color: #E46E20;
    }

.company-offer-card__environment-image {
    display: block;
    margin-bottom: 1em;
    height: 250px;
    object-fit: cover;
    width: 100%;
}

.company-offer-card__details__image {
    background-color: #fff;
    padding: 5px;
}

a,
.hs-richtext a {
    color: #d38918;
    text-decoration: underline;
}

    a:hover {
        color: #966211;
    }

.icon__company-address {
    margin-right: 20px;
    flex-shrink: 0;
}

.cities {
    display: flex;
}

.cities__city {
    background-color: #f5f6f1;
    padding: 25px;
    min-height: 250px;
}

.button-no-margin {
    margin-bottom: 0;
}

/* NEW OFFER */
.offer-card {
    height: 100%;
    background-color: #f5f6f1;
}

.offer-card__link {
    display: flex;
    flex-direction: column;
    height: 100%;
}

.offer-card__environment-image {
    position: relative;
    height: 250px;
    width: 100%;
    background-position: center;
    background-size: cover;
}

.offer-card__environment-image__city {
    position: absolute;
    bottom: 0;
    right: 0;
    padding: 8px 15px;
    font-size: 70%;
    text-transform: uppercase;
    color: #ddd;
    background-color: rgba(0, 0, 0, 0.3);
    border-top-left-radius: 5px;
}

.offer-card__environment-image img {
    display: block;
    width: 100%;
}

.offer-card__details {
    display: flex;
    flex-grow: 1;
}

.offer-card__company-image {
    background-color: #fff;
    flex-basis: 80px;
    flex-shrink: 0;
    display: flex;
}

.offer-card__company-image__wrapper {
    padding: 5px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.offer-card__offer-details {
    padding: 10px;
}

.offer-card__offer-details__offer-title {
    color: #4a4a4a;
    font-size: 120%;
    font-weight: bold;
    margin-bottom: 0.5em;
    display: block;
}

.offer-card__offer-details__company-name {
    color: #707070;
    text-transform: uppercase;
    font-size: 80%;
}

/* COOKIE CONTAINER */
.cookie-container {
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    padding: 1rem 1.5rem;
    background-color: #e49739;
    color: #fff;
}

.cookie-container__text {
    align-self: center;
}

@media all and (max-width: 1087px) {
    .cookie-container .button {
        margin-bottom: 0.5rem;
    }
}

.badges {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.badge {
    padding: 4px 12px;
    display: inline-block;
    font-size: 0.85em;
    margin-bottom: 0.5em;
}

.badge__accessibility-level {
    text-transform: uppercase;
    color: #fff;
}

.badge__accessibility-level__premium {
    background-color: #d7ae3a;
}

.badge__accessibility-level__open {
    background-color: #35a65b;
}

.badge__offers-used {
    background-color: #cccccc;
    margin-left: 10px;
}

.triangle__accessibility-level__wrapper {
    position: absolute;
    top: 0;
    right: 0;
    width: 150px;
    height: 150px;
    overflow: hidden;
}

.triangle__accessibility-level {
    width: 0;
    height: 0;
    border-left: 80px solid transparent;
    border-top: 80px solid transparent;
    border-bottom: 80px solid transparent;
    border-right: 80px solid transparent;
    transform: rotate(-45deg);
    position: absolute;
    right: -80px;
    top: -80px;
}

.triangle__accessibility-level__premium {
    border-left-color: #d7ae3a;
}

.triangle__accessibility-level__open {
    border-left-color: #35a65b;
}

.triangle__accessibility-level__text {
    position: absolute;
    right: -36px;
    text-transform: uppercase;
    top: 29px;
    transform: rotate(45deg);
    width: 150px;
    text-align: center;
    color: #eee;
}


/* EARNINGS SLIDER */
.earnings-sliders {
    max-width: 700px;
    background-color: #eee;
    padding: 50px;
    margin: 15px;
    border-radius: 10px;
    box-shadow: 0px 0px 5px 2px rgba(133,133,133,0.3);
}

.earnings-sliders__content {
    margin-bottom: 30px;
}

.earnings-sliders__content__heading {
    color: #333;
}

.earnings-sliders__content__details {
    color: #555;
}

.earnings-sum {
    padding: 10px;
    margin-top: 15px;
    border: 1px solid #ccc;
    background-color: #48c78e;
    color: #fff;
    border-radius: 10px;
}

input[type=range].slider {
    margin-bottom: 5px;
}

/* MISC */
.loader {
    width: 48px;
    height: 48px;
    border: 5px solid #999;
    border-bottom-color: transparent;
    border-radius: 50%;
    display: inline-block;
    box-sizing: border-box;
    animation: rotation 1s linear infinite;
}

@keyframes rotation {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

[x-cloak] {
    display: none !important;
}
